<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class SettingSeeder extends Seeder
{

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('settings')->insert([
            ['key' => 'website_name', 'value' => 'LEGAL', 'created_at' => now()],
            ['key' => 'keywords', 'value' => 'LEGAL', 'created_at' => now()],
            ['key' => 'meta_description', 'value' => 'LEGAL', 'created_at' => now()],
            ['key' => 'site_email', 'value' => 'legal@info.net', 'created_at' => now()],
            ['key' => 'site_address', 'value' => '205 Middle Street, USA', 'created_at' => now()],
            ['key' => 'site_phone', 'value' => '+966011111111', 'created_at' => now()],
            ['key' => 'mail_driver', 'value' =>'smtp', 'created_at' => now()],
            ['key' => 'mail_host', 'value' =>'localhost', 'created_at' => now()],
            ['key' => 'mail_port', 'value' =>587, 'created_at' => now()],
            ['key' => 'mail_username', 'value' =>'info@example.com', 'created_at' => now()],
            ['key' => 'mail_password', 'value' =>'wW#$ibgzrbU4', 'created_at' => now()],
            ['key' => 'mail_encryption', 'value' => null, 'created_at' => now()],
            ['key' => 'mail_from_address', 'value' =>'nosk@b.alyomhost.net', 'created_at' => now()],
            ['key' => 'mail_from_name', 'value' =>'LEGAL', 'created_at' => now()],
//            ['key' => 'office_location', 'value' =>'https://goo.gl/maps/L1pQTpVymE2rhYcL7', 'created_at' => now()],
            ['key' => 'lat', 'value' =>'31.0407', 'created_at' => now()],
            ['key' => 'lng', 'value' =>'31.3824', 'created_at' => now()],
            ['key' => 'facebook', 'value' =>'https://www.facebook.com', 'created_at' => now()],
            ['key' => 'tiktok', 'value' =>'https://www.tiktok.com', 'created_at' => now()],
            ['key' => 'instagram', 'value' =>'https://www.instagram.com', 'created_at' => now()],
            ['key' => 'twitter', 'value' =>'https://www.twitter.com', 'created_at' => now()],
            ['key' => 'snapchat', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
            ['key' => 'linkedin', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
            ['key' => 'youtube', 'value' =>'https://www.youtube.com', 'created_at' => now()],
            ['key' => 'google_play_link', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
            ['key' => 'whatsapp', 'value' =>'1234567890', 'created_at' => now()],
            ['key' => 'snapchat', 'value' =>'https://www.snapchat.com', 'created_at' => now()],
            ['key' => 'apple_store_link', 'value' =>'https://www.appstore.com', 'created_at' => now()],
            ['key' => 'added_value', 'value' => '15', 'created_at' => now()],
            ['key' => 'documentation_fees', 'value' => '15', 'created_at' => now()],
            ['key' => 'consulting_requests_hint_1_ar', 'value' => 'ساعات دوام المكتب من 8 صباحاً إلى 5 مساءاً،  للاستفسار يرجى التواصل معنا واتساب', 'created_at' => now()],
            ['key' => 'consulting_requests_hint_1_en', 'value' => 'Office working hours are from 8 am to 5 pm, for inquiries please contact us via WhatsApp', 'created_at' => now()],
            ['key' => 'consulting_requests_hint_2_ar', 'value' => 'سوف يكون هناك رسوم إضافية عند ألحجز بعد العاشرة مساءا وحتي لثامنة صباحا سواء كن إستشارة مرئية أو اتفية أو بالحضور للمكتب', 'created_at' => now()],
            ['key' => 'consulting_requests_hint_2_en', 'value' => 'There will be an additional fee when booking after ten in the evening until eight in the morning, whether it is a video or telephone consultation or by coming to the office', 'created_at' => now()],
//            ['key' => 'website_percentage', 'value' => '15', 'created_at' => now()],
            ['key' => 'visa_master', 'value' => 1, 'created_at' => now()],
            ['key' => 'apple_pay', 'value' => 1, 'created_at' => now()],
            ['key' => 'stc_pay', 'value' => 1, 'created_at' => now()],
            ['key' => 'mada', 'value' => 1, 'created_at' => now()],
            ['key' => 'website_logo', 'value' => 'assets/admin/images/logo.png', 'created_at' => now()],
//            ['key' => 'contact_us_image', 'value' => 'assets/web/images/contact.jpg', 'created_at' => now()],
            ['key' => 'website_disable', 'value' => 0, 'created_at' => now()],
            ['key' => 'dashboard_disable', 'value' => 0, 'created_at' => now()],
        ]);

//        DB::table('settings')->update(['created_at' => now()]);
    }
}
